# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/SaltedHash.pm) perl(Dancer2.pm) perl(Data/UUID.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Dancer2-Plugin-CSRF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: CSRF tokens generation and validation
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JU/JUMPERCC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides two methods `get_csrf_token()' and `validate_csrf_token($token)'.

Master token stored in session.
CSRF tokens generated using master token and page uri.
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

